| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
NPNZ_FILTER_PARAMS_s Struct Reference

`#include <power_control/drivers/npnz16b.h>`

Collaboration diagram for NPNZ_FILTER_PARAMS_s:

## Data Fields
volatile int32_t * | ptrACoefficients
| Pointer to A coefficients located in X-space. More...
volatile int32_t * | ptrBCoefficients
| Pointer to B coefficients located in X-space. More...
volatile fractional * | ptrControlHistory
| Pointer to n delay-line samples located in Y-space with first sample being the most recent. More...
volatile fractional * | ptrErrorHistory
| Pointer to n+1 delay-line samples located in Y-space with first sample being the most recent. More...
volatile uint16_t | ACoefficientsArraySize
| Size of the A coefficients array in X-space. More...
volatile uint16_t | BCoefficientsArraySize
| Size of the B coefficients array in X-space. More...
volatile uint16_t | ControlHistoryArraySize
| Size of the control history array in Y-space. More...
volatile uint16_t | ErrorHistoryArraySize
| Size of the error history array in Y-space. More...
volatile int16_t | normPreShift
| Normalization of ADC-resolution to Q15 (R/W) More...
volatile int16_t | normPostShiftA
| Normalization of A-term control output to Q15 (R/W) More...
volatile int16_t | normPostShiftB
| Normalization of B-term control output to Q15 (R/W) More...
volatile int16_t | normPostScaler
| Control output normalization factor (Q15) (R/W) More...
volatile int16_t | PTermScaler
| Q15 P-Term Coefficient Bit-Shift Scaler (R/W) More...
volatile int16_t | PTermFactor
| Q15 P-Term Coefficient Factor (R/W) More...

## Detailed Description

Definition at line 284 of file npnz16b.h.

## Field Documentation

## ◆ ACoefficientsArraySize

volatile uint16_t ACoefficientsArraySize

Size of the A coefficients array in X-space.

Definition at line 292 of file npnz16b.h.

## ◆ BCoefficientsArraySize

volatile uint16_t BCoefficientsArraySize

Size of the B coefficients array in X-space.

Definition at line 293 of file npnz16b.h.

## ◆ ControlHistoryArraySize

volatile uint16_t ControlHistoryArraySize

Size of the control history array in Y-space.

Definition at line 294 of file npnz16b.h.

## ◆ ErrorHistoryArraySize

volatile uint16_t ErrorHistoryArraySize

Size of the error history array in Y-space.

Definition at line 295 of file npnz16b.h.

## ◆ normPostScaler

volatile int16_t normPostScaler

Control output normalization factor (Q15) (R/W)

Definition at line 301 of file npnz16b.h.

## ◆ normPostShiftA

volatile int16_t normPostShiftA

Normalization of A-term control output to Q15 (R/W)

Definition at line 299 of file npnz16b.h.

## ◆ normPostShiftB

volatile int16_t normPostShiftB

Normalization of B-term control output to Q15 (R/W)

Definition at line 300 of file npnz16b.h.

## ◆ normPreShift

volatile int16_t normPreShift

Normalization of ADC-resolution to Q15 (R/W)

Definition at line 298 of file npnz16b.h.

## ◆ PTermFactor

volatile int16_t PTermFactor

Q15 P-Term Coefficient Factor (R/W)

Definition at line 305 of file npnz16b.h.

## ◆ PTermScaler

volatile int16_t PTermScaler

Q15 P-Term Coefficient Bit-Shift Scaler (R/W)

Definition at line 304 of file npnz16b.h.

## ◆ ptrACoefficients

volatile int32_t* ptrACoefficients

Pointer to A coefficients located in X-space.

Definition at line 286 of file npnz16b.h.

## ◆ ptrBCoefficients

volatile int32_t* ptrBCoefficients

Pointer to B coefficients located in X-space.

Definition at line 287 of file npnz16b.h.

## ◆ ptrControlHistory

volatile fractional* ptrControlHistory

Pointer to n delay-line samples located in Y-space with first sample being the most recent.

Definition at line 288 of file npnz16b.h.

## ◆ ptrErrorHistory

volatile fractional* ptrErrorHistory

Pointer to n+1 delay-line samples located in Y-space with first sample being the most recent.

Definition at line 289 of file npnz16b.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/power_control/drivers/npnz16b.h